defmodule HAHandler.MixProject do
  use Mix.Project

  def project do
    [
      app: :ha_handler,
      version: "0.1.0",
      elixir: "~> 1.12",
      start_permanent: Mix.env() == :prod,
      deps: deps()
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger],
      mod: {HAHandler.Application, []}
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:plug, "~> 1.12"},
      {:plug_cowboy, "~> 2.5"},
      {:procket, "~> 0.9"},
      {:poison, "~> 5.0"}
    ]
  end
end
